%define name	kimg2mpg
%define version 1.2
%define release 4mdk

Summary:	MPEG portfolio encoder for KDE
Name:		%name
Version:	%version
Release:	%release
Source: 	%name-%{version}.tar.bz2
Group:		Video
License: 	GPL
URL:		http://kvcdtools.free.fr
Requires:	ImageMagick >= 5.5.4.4-7mdk mjpegtools >= 1.6.1-1mdk
BuildRequires:	kdelibs-devel
BuildRequires:	autoconf2.5
BuildRoot:	%_tmppath/%{name}-%{version}-buildroot

%description
Kimg2mpeg is a KDE GUI of img2mpg bash script. It can create MPEG portfolios 
from many images. It use ImageMagick and MjpegTools package.


%prep


%setup -q -n %{name}
rm -rf "$RPM_BUILD_ROOT"
make -f Makefile.dist


%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix
export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
export WANT_AUTOCONF_2_5=1

CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
        --enable-mt \
        --with-qt-dir=%_libdir/qt3 \
        --disable-debug --disable-rpath --libdir=%_libdir

        
%make


%install
rm -Rf %{buildroot}
%makeinstall_std

install -d $RPM_BUILD_ROOT%_menudir

(cd $RPM_BUILD_ROOT
mkdir -p .%{_menudir}
cat > .%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{_bindir}/kimg2mpg" \
title="Kimg2mpg" \
longtitle="MPEG portfolio creator" \
needs="x11" \
section="Multimedia/Video" \
icon="kimg2mpg.png"
EOF
)

#menu icons:
mkdir -p %{buildroot}/{%{_miconsdir},%{_liconsdir}}
cp -af %{buildroot}/%{_datadir}/icons/locolor/16x16/apps/%{name}.png %{buildroot}/%{_miconsdir}
cp -af %{buildroot}/%{_datadir}/icons/locolor/32x32/apps/%{name}.png %{buildroot}/%{_iconsdir}
cp -a %{buildroot}/%{_datadir}/icons/locolor/48x48/apps/%{name}.png %{buildroot}/%{_liconsdir}

install -d %{buildroot}/%{_mandir}
mv -f %{buildroot}/%{_prefix}/man/* %{buildroot}/%{_mandir}

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post

%update_menus

%postun

%clean_menus

%files  -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%doc TODO

%_bindir/*
%_menudir/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%dir %_datadir/apps/kimg2mpg

%_datadir/icons/locolor/16x16/apps/*.png
%_datadir/icons/locolor/22x22/apps/*.png
%_datadir/icons/locolor/32x32/apps/*.png
%_datadir/icons/locolor/48x48/apps/*.png

%_datadir/apps/kimg2mpg/kimg2mpg-splash.png
%_datadir/applnk/Multimedia/kimg2mpg.desktop
%_datadir/icons/kimg2mpg.xpm

%{_mandir}/*/*

%changelog
* Sun Jul 18 2004 Michael Scherer <misc@mandrake.org> 1.2-4mdk 
- rebuild for new gcc

* Fri Sep 05 2003 Marcel Pol <mpol@gmx.net> 1.2-3mdk
- buildrequires

* Fri Aug 08 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.2-2mdk
- Misc fixes

* Tue Jun 03 2003 Gilles CAULIER <caulier.gilles@free.fr> 1.2-1mdk
- Release 1.2. minor Bugs fix, updade Qt 3.1 KDElib 3.1, add spanish translations.

* Mon Feb 03 2003 Gilles CAULIER <caulier.gilles@free.fr> 1.1-1mdk
- Release 1.1. Bugs fix, add more C++ port, add messages in debug dialog box.

* Sat Jan 25 2003 Gilles CAULIER <caulier.gilles@free.fr> 1.0-1mdk
- Original release
